
@inproceedings{kheterpal_1_nodate,
	title = {1. {Flow}: {Deep} {Reinforcement} {Learning} for {Control} in {SUMO}},
	shorttitle = {Flow},
	url = {https://easychair.org/publications/paper/FBQq},
	doi = {10.29007/dkzb},
	abstract = {We detail the motivation and design decisions underpinning Flow, a computational framework integrating SUMO with the deep reinforcement learning libraries rllab and RLlib, allowing researchers to apply deep reinforcement learning (RL) methods to traﬃc scenarios, and permitting vehicle and infrastructure control in highly varied traﬃc environments. Users of Flow can rapidly design a wide variety of traﬃc scenarios in SUMO, enabling the development of controllers for autonomous vehicles and intelligent infrastructure across a broad range of settings.},
	language = {en},
	urldate = {2022-03-02},
	author = {Kheterpal, Nishant and Parvate, Kanaad and Wu, Cathy and Kreidieh, Aboudy and Vinitsky, Eugene and Bayen, Alexandre},
	pages = {134--115},
	file = {Kheterpal et al. - Flow Deep Reinforcement Learning for Control in S.pdf:files/1037/Kheterpal et al. - Flow Deep Reinforcement Learning for Control in S.pdf:application/pdf},
}

@article{walraven_2_nodate,
	title = {2. {Traffic} {Flow} {Optimization} using {Reinforcement} {Learning}},
	abstract = {Trafﬁc congestion causes unnecessary delay, pollution and increased fuel consumption. In this thesis we address this problem by proposing new algorithmic techniques to reduce trafﬁc congestion and we contribute to the development of a new Intelligent Transportation System. We present a method to determine speed limits, in which we combine a trafﬁc ﬂow model with reinforcement learning techniques. A trafﬁc ﬂow optimization problem is formulated as a Markov Decision Process, and subsequently solved using Q-learning enhanced with value function approximation. This results in a single-agent and multi-agent approach to assign speed limits to highway sections. A difference between our work and existing approaches is that we also take trafﬁc predictions into account. The performance of our method is evaluated in macroscopic simulations, in which we show that it is able to signiﬁcantly reduce congestion under high trafﬁc demands. A case study has been performed to evaluate the effectiveness of our method in microscopic simulations. The case study serves as a proof of concept and shows that our method performs well on a real scenario.},
	language = {en},
	journal = {Reinforcement Learning},
	author = {Walraven, Erwin},
	pages = {103},
	file = {Walraven - Traffic Flow Optimization using Reinforcement Lear.pdf:files/1038/Walraven - Traffic Flow Optimization using Reinforcement Lear.pdf:application/pdf},
}

@article{wei_colight_2019,
	title = {{CoLight}: {Learning} {Network}-level {Cooperation} for {Traffic} {Signal} {Control}},
	shorttitle = {{CoLight}},
	url = {http://arxiv.org/abs/1905.05717},
	doi = {10.1145/3357384.3357902},
	abstract = {Cooperation among the traffic signals enables vehicles to move through intersections more quickly. Conventional transportation approaches implement cooperation by pre-calculating the offsets between two intersections. Such pre-calculated offsets are not suitable for dynamic traffic environments. To enable cooperation of traffic signals, in this paper, we propose a model, CoLight, which uses graph attentional networks to facilitate communication. Specifically, for a target intersection in a network, CoLight can not only incorporate the temporal and spatial influences of neighboring intersections to the target intersection, but also build up index-free modeling of neighboring intersections. To the best of our knowledge, we are the first to use graph attentional networks in the setting of reinforcement learning for traffic signal control and to conduct experiments on the large-scale road network with hundreds of traffic signals. In experiments, we demonstrate that by learning the communication, the proposed model can achieve superior performance against the state-of-the-art methods.},
	language = {en},
	urldate = {2022-03-02},
	journal = {Proceedings of the 28th ACM International Conference on Information and Knowledge Management},
	author = {Wei, Hua and Xu, Nan and Zhang, Huichu and Zheng, Guanjie and Zang, Xinshi and Chen, Chacha and Zhang, Weinan and Zhu, Yanmin and Xu, Kai and Li, Zhenhui},
	month = nov,
	year = {2019},
	note = {arXiv: 1905.05717},
	keywords = {Computer Science - Machine Learning, 68Txx, Computer Science - Computer Science and Game Theory, Computer Science - Multiagent Systems},
	pages = {1913--1922},
	file = {Wei et al. - 2019 - CoLight Learning Network-level Cooperation for Tr.pdf:files/1039/Wei et al. - 2019 - CoLight Learning Network-level Cooperation for Tr.pdf:application/pdf},
}

@article{wei_survey_2020,
	title = {A {Survey} on {Traffic} {Signal} {Control} {Methods}},
	url = {http://arxiv.org/abs/1904.08117},
	abstract = {Traffic signal control is an important and challenging real-world problem, which aims to minimize the travel time of vehicles by coordinating their movements at the road intersections. Current traffic signal control systems in use still rely heavily on oversimplified information and rule-based methods, although we now have richer data, more computing power and advanced methods to drive the development of intelligent transportation. With the growing interest in intelligent transportation using machine learning methods like reinforcement learning, this survey covers the widely acknowledged transportation approaches and a comprehensive list of recent literature on reinforcement for traffic signal control. We hope this survey can foster interdisciplinary research on this important topic.},
	language = {en},
	urldate = {2022-03-02},
	journal = {arXiv:1904.08117 [cs, stat]},
	author = {Wei, Hua and Zheng, Guanjie and Gayah, Vikash and Li, Zhenhui},
	month = jan,
	year = {2020},
	note = {arXiv: 1904.08117},
	keywords = {Computer Science - Machine Learning, Statistics - Machine Learning, 68Txx, Computer Science - Artificial Intelligence},
	file = {Wei et al. - 2020 - A Survey on Traffic Signal Control Methods.pdf:files/1040/Wei et al. - 2020 - A Survey on Traffic Signal Control Methods.pdf:application/pdf},
}

@article{liang_rllib_2018,
	title = {{RLlib}: {Abstractions} for {Distributed} {Reinforcement} {Learning}},
	shorttitle = {{RLlib}},
	url = {http://arxiv.org/abs/1712.09381},
	abstract = {Reinforcement learning (RL) algorithms involve the deep nesting of highly irregular computation patterns, each of which typically exhibits opportunities for distributed computation. We argue for distributing RL components in a composable way by adapting algorithms for top-down hierarchical control, thereby encapsulating parallelism and resource requirements within short-running compute tasks. We demonstrate the benefits of this principle through RLlib: a library that provides scalable software primitives for RL. These primitives enable a broad range of algorithms to be implemented with high performance, scalability, and substantial code reuse. RLlib is available at https://rllib.io/.},
	urldate = {2022-03-09},
	journal = {arXiv:1712.09381 [cs]},
	author = {Liang, Eric and Liaw, Richard and Moritz, Philipp and Nishihara, Robert and Fox, Roy and Goldberg, Ken and Gonzalez, Joseph E. and Jordan, Michael I. and Stoica, Ion},
	month = jun,
	year = {2018},
	note = {arXiv: 1712.09381},
	keywords = {Computer Science - Machine Learning, Computer Science - Artificial Intelligence, Computer Science - Distributed, Parallel, and Cluster Computing},
	file = {arXiv Fulltext PDF:files/1050/Liang et al. - 2018 - RLlib Abstractions for Distributed Reinforcement .pdf:application/pdf;arXiv.org Snapshot:files/1051/1712.html:text/html},
}

@article{schulman_proximal_2017,
	title = {Proximal {Policy} {Optimization} {Algorithms}},
	url = {http://arxiv.org/abs/1707.06347},
	abstract = {We propose a new family of policy gradient methods for reinforcement learning, which alternate between sampling data through interaction with the environment, and optimizing a "surrogate" objective function using stochastic gradient ascent. Whereas standard policy gradient methods perform one gradient update per data sample, we propose a novel objective function that enables multiple epochs of minibatch updates. The new methods, which we call proximal policy optimization (PPO), have some of the benefits of trust region policy optimization (TRPO), but they are much simpler to implement, more general, and have better sample complexity (empirically). Our experiments test PPO on a collection of benchmark tasks, including simulated robotic locomotion and Atari game playing, and we show that PPO outperforms other online policy gradient methods, and overall strikes a favorable balance between sample complexity, simplicity, and wall-time.},
	urldate = {2022-03-09},
	journal = {arXiv:1707.06347 [cs]},
	author = {Schulman, John and Wolski, Filip and Dhariwal, Prafulla and Radford, Alec and Klimov, Oleg},
	month = aug,
	year = {2017},
	note = {arXiv: 1707.06347
version: 2},
	keywords = {Computer Science - Machine Learning},
	file = {arXiv.org Snapshot:files/1055/1707.html:text/html;Schulman et al_2017_Proximal Policy Optimization Algorithms.pdf:files/1054/Schulman et al_2017_Proximal Policy Optimization Algorithms.pdf:application/pdf},
}

@article{treiber_congested_2000,
	title = {Congested {Traffic} {States} in {Empirical} {Observations} and {Microscopic} {Simulations}},
	volume = {62},
	issn = {1063-651X, 1095-3787},
	url = {http://arxiv.org/abs/cond-mat/0002177},
	doi = {10.1103/PhysRevE.62.1805},
	abstract = {We present data from several German freeways showing different kinds of congested traffic forming near road inhomogeneities, specifically lane closings, intersections, or uphill gradients. The states are localized or extended, homogeneous or oscillating. Combined states are observed as well, like the coexistence of moving localized clusters and clusters pinned at road inhomogeneities, or regions of oscillating congested traffic upstream of nearly homogeneous congested traffic. The experimental findings are consistent with a recently proposed theoretical phase diagram for traffic near on-ramps [D. Helbing, A. Hennecke, and M. Treiber, Phys. Rev. Lett. \{{\textbackslash}bf 82\}, 4360 (1999)]. We simulate these situations with a novel continuous microscopic single-lane model, the ``intelligent driver model'' (IDM), using the empirical boundary conditions. All observations, including the coexistence of states, are qualitatively reproduced by describing inhomogeneities with local variations of one model parameter. We show that the results of the microscopic model can be understood by formulating the theoretical phase diagram for bottlenecks in a more general way. In particular, a local drop of the road capacity induced by parameter variations has practically the same effect as an on-ramp.},
	number = {2},
	urldate = {2022-03-14},
	journal = {Physical Review E},
	author = {Treiber, Martin and Hennecke, Ansgar and Helbing, Dirk},
	month = aug,
	year = {2000},
	note = {arXiv: cond-mat/0002177},
	keywords = {Condensed Matter - Statistical Mechanics},
	pages = {1805--1824},
	file = {arXiv.org Snapshot:files/1060/0002177.html:text/html;Treiber et al_2000_Congested Traffic States in Empirical Observations and Microscopic Simulations.pdf:files/1059/Treiber et al_2000_Congested Traffic States in Empirical Observations and Microscopic Simulations.pdf:application/pdf},
}

@book{noauthor_notitle_nodate,
	file = {_.pdf:files/1075/_.pdf:application/pdf},
}

@inproceedings{chrpa_encoding_2009,
	address = {Berlin, Heidelberg},
	series = {Lecture {Notes} in {Computer} {Science}},
	title = {Encoding of {Planning} {Problems} and {Their} {Optimizations} in {Linear} {Logic}},
	isbn = {978-3-642-00675-3},
	doi = {10.1007/978-3-642-00675-3_4},
	abstract = {Girard’s Linear Logic is a formalism which can be used to manage a lot of problems with consumable resources. Its expressiveness is quite good for an easily understandable encoding of many problems. We concentrated on expressing planning problems by linear logic in this paper. We observed a rich usage of a construct of consumable resources in planning problem formulations. This fact motivates us to provide a possible encoding of planning problems in linear logic. This paper shows how planning problems can be encoded in Linear Logic and how some optimizations of planning problems can be encoded. These optimizations can help planners to improve the efficiency of finding solutions (plans).},
	language = {en},
	booktitle = {Applications of {Declarative} {Programming} and {Knowledge} {Management}},
	publisher = {Springer},
	author = {Chrpa, Lukáš and Surynek, Pavel and Vyskočil, Jiří},
	editor = {Seipel, Dietmar and Hanus, Michael and Wolf, Armin},
	year = {2009},
	keywords = {Linear Fact, Linear Logic, Planning Problem, Temporal Linear Logic, Temporal Logic},
	pages = {54--68},
	file = {Springer Full Text PDF:files/1077/Chrpa et al. - 2009 - Encoding of Planning Problems and Their Optimizati.pdf:application/pdf},
}

@article{wu_flow_2021,
	title = {Flow: {A} {Modular} {Learning} {Framework} for {Mixed} {Autonomy} {Traffic}},
	issn = {1552-3098, 1941-0468},
	shorttitle = {Flow},
	url = {http://arxiv.org/abs/1710.05465},
	doi = {10.1109/TRO.2021.3087314},
	abstract = {The rapid development of autonomous vehicles (AVs) holds vast potential for transportation systems through improved safety, efficiency, and access to mobility. However, the progression of these impacts, as AVs are adopted, is not well understood. Numerous technical challenges arise from the goal of analyzing the partial adoption of autonomy: partial control and observation, multi-vehicle interactions, and the sheer variety of scenarios represented by real-world networks. To shed light into near-term AV impacts, this article studies the suitability of deep reinforcement learning (RL) for overcoming these challenges in a low AV-adoption regime. A modular learning framework is presented, which leverages deep RL to address complex traffic dynamics. Modules are composed to capture common traffic phenomena (stop-and-go traffic jams, lane changing, intersections). Learned control laws are found to improve upon human driving performance, in terms of system-level velocity, by up to 57\% with only 4-7\% adoption of AVs. Furthermore, in single-lane traffic, a small neural network control law with only local observation is found to eliminate stop-and-go traffic - surpassing all known model-based controllers to achieve near-optimal performance - and generalize to out-of-distribution traffic densities.},
	urldate = {2022-03-21},
	journal = {IEEE Transactions on Robotics},
	author = {Wu, Cathy and Kreidieh, Aboudy and Parvate, Kanaad and Vinitsky, Eugene and Bayen, Alexandre M.},
	year = {2021},
	note = {arXiv: 1710.05465},
	keywords = {Computer Science - Artificial Intelligence, Computer Science - Robotics, Electrical Engineering and Systems Science - Systems and Control},
	pages = {1--17},
	file = {arXiv.org Snapshot:files/1097/1710.html:text/html;Wu et al_2021_Flow.pdf:files/1096/Wu et al_2021_Flow.pdf:application/pdf},
}

@article{codeca_luxembourg_2017,
	title = {Luxembourg {SUMO} {Traffic} ({LuST}) {Scenario}: {Traffic} {Demand} {Evaluation}},
	volume = {9},
	issn = {1941-1197},
	shorttitle = {Luxembourg {SUMO} {Traffic} ({LuST}) {Scenario}},
	doi = {10.1109/MITS.2017.2666585},
	abstract = {Both the industrial and the scientific communities are working on problems related to vehicular traffic congestion, intelligent transportation systems, and mobility patterns using information collected from a variety of sources. Usually, a vehicular traffic simulator, with an appropriate scenario for the problem at hand, is used to reproduce realistic mobility patterns. Many mobility simulators are available, and the choice is made based on the type of simulation required, but a common problem is finding a realistic traffic scenario. The aim of this work is to provide and evaluate a scenario able to meet all the basic requirements in terms of size, realism, and duration, in order to have a common basis for evaluations. In the interest of building a realistic scenario, we used information from a real city with a typical topology common in mid-size European cities, and realistic traffic demand and mobility patterns. In this paper, we show the process used to build the Luxembourg SUMO Traffic (LuST) Scenario, and present a summary of its characteristics together with our evaluation and validation of the traffic demand and mobility patterns.},
	number = {2},
	journal = {IEEE Intelligent Transportation Systems Magazine},
	author = {Codeca, Lara and Frank, Raphael and Faye, Sebastien and Engel, Thomas},
	year = {2017},
	note = {Conference Name: IEEE Intelligent Transportation Systems Magazine},
	keywords = {Intelligent vehicles, Road traffic control, Urban areas, Vehicle driving},
	pages = {52--63},
	file = {Codeca et al_2017_Luxembourg SUMO Traffic (LuST) Scenario.pdf:files/1104/Codeca et al_2017_Luxembourg SUMO Traffic (LuST) Scenario.pdf:application/pdf;IEEE Xplore Abstract Record:files/1105/7906642.html:text/html},
}

@article{chu_multi-agent_2019,
	title = {Multi-{Agent} {Deep} {Reinforcement} {Learning} for {Large}-scale {Traffic} {Signal} {Control}},
	url = {http://arxiv.org/abs/1903.04527},
	abstract = {Reinforcement learning (RL) is a promising data-driven approach for adaptive traffic signal control (ATSC) in complex urban traffic networks, and deep neural networks further enhance its learning power. However, centralized RL is infeasible for large-scale ATSC due to the extremely high dimension of the joint action space. Multi-agent RL (MARL) overcomes the scalability issue by distributing the global control to each local RL agent, but it introduces new challenges: now the environment becomes partially observable from the viewpoint of each local agent due to limited communication among agents. Most existing studies in MARL focus on designing efficient communication and coordination among traditional Q-learning agents. This paper presents, for the first time, a fully scalable and decentralized MARL algorithm for the state-of-the-art deep RL agent: advantage actor critic (A2C), within the context of ATSC. In particular, two methods are proposed to stabilize the learning procedure, by improving the observability and reducing the learning difficulty of each local agent. The proposed multi-agent A2C is compared against independent A2C and independent Q-learning algorithms, in both a large synthetic traffic grid and a large real-world traffic network of Monaco city, under simulated peak-hour traffic dynamics. Results demonstrate its optimality, robustness, and sample efficiency over other state-of-the-art decentralized MARL algorithms.},
	urldate = {2022-03-29},
	journal = {arXiv:1903.04527 [cs, stat]},
	author = {Chu, Tianshu and Wang, Jie and Codecà, Lara and Li, Zhaojian},
	month = mar,
	year = {2019},
	note = {arXiv: 1903.04527},
	keywords = {Computer Science - Machine Learning, Statistics - Machine Learning},
	file = {arXiv.org Snapshot:files/2195/1903.html:text/html;Chu et al_2019_Multi-Agent Deep Reinforcement Learning for Large-scale Traffic Signal Control.pdf:files/2194/Chu et al_2019_Multi-Agent Deep Reinforcement Learning for Large-scale Traffic Signal Control.pdf:application/pdf},
}
